Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624374 - prlink.h gives warning with -Wstrict-prototypes
prlink.h gives warning with -Wstrict-prototypes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
:
Depends On: 451616
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 04:14 EDT by Aleš Mareček
Modified: 2010-09-28 12:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: nss-3.12.7-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 451616
Environment:
Last Closed: 2010-09-28 12:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleš Mareček 2010-08-16 04:14:53 EDT
+++ This bug was initially created as a clone of Bug #451616 +++

Description of problem:
Using nspr header gives a warning in the prlink.h file when -Wstrict-prototypes
is included in the CFLAGS. And when -Werror is used, then it is not possible to
compile at all.

Version-Release number of selected component (if applicable):
nspr-devel-4.6.7-3.fc8
but the header was not changed since Apr/06/2006, so all current Fedora and RHEL
versions are affected.

How reproducible:
100%

Steps to Reproduce:
1. run the script from attachments
  
Actual results:
In file included from /usr/include/nspr4/nspr.h:55,
                 from nspr-test.c:2:
/usr/include/nspr4/prlink.h:52: warning: function declaration isn’t a prototype
/usr/include/nspr4/prlink.h:209: warning: function declaration isn’t a prototype


Expected results:
No warnings

Additional info:
There was a thread in gcc mailing list about the meaning of the warning -
http://gcc.gnu.org/ml/gcc-help/2006-07/msg00033.html

--- Additional comment from dan@danny.cz on 2008-06-16 04:04:25 EDT ---



--- Additional comment from dan@danny.cz on 2008-06-16 04:08:50 EDT ---



--- Additional comment from kengert@redhat.com on 2008-07-01 09:33:41 EDT ---

Wan-Teh, what do you think about the proposed patch?

I should probably file an upstream bug.


--- Additional comment from fedora-triage-list@redhat.com on 2008-11-26 05:52:33 EST ---


This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2009-01-09 01:36:21 EST ---


Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Elio Maldonado Batiz 2010-08-16 10:40:45 EDT
For RHEL 5 we did the work-around of of not exposing the problematic header via the nss headers
Comment 2 Elio Maldonado Batiz 2010-08-16 10:49:30 EDT
For RHEL-6 we will instead pick up the upstream fix targeted for NSPR 4.8.6
https://bugzilla.mozilla.org/show_bug.cgi?id=410677
This will likely be on RHEL 6.1.
Comment 3 Elio Maldonado Batiz 2010-09-28 12:07:39 EDT
This fix was actually picked up on RHEL 6.0 when we rebased to nspr-4.8.6 and nss-3.12.7.

Note You need to log in before you can comment on or make changes to this bug.